package com.ys.bdtp.base.extensions

import android.graphics.Point
import android.graphics.Rect

/**
 * RectF位置移dx,dy
 *
 * @param   dx          横向移动的距离
 * @param   dy          纵向移动的距离
 * @return  移动后的RectF
 */
fun Rect.adjusted(dx: Int, dy: Int): Rect {
    return Rect(this.left + dx, this.top + dy, this.right + dx, this.bottom + dy)
} // Function adjusted()

/**
 * RectF位置移offset
 *
 * @param   offset      移动偏移量
 * @return  移动后的RectF
 */
fun Rect.adjusted(offset: Point): Rect {
    return adjusted(offset.x, offset.y)
} // Function adjusted()